> ## Documentation Index > Fetch the complete documentation index at: https://www.bloxs.io/llms.txt > Use this file to discover all available pages before exploring further. # Delete property definition > Delete property definition in the system ## OpenAPI ````json DELETE /api/v1/realestateobjects/publish/propertydefinitions/{apiLabel} { "openapi": "3.0.4", "info": { "title": "RealEstateObjects V1", "description": "Welcome to BETA version of the new RealEstateObjects API - intended for client public testing before the launch of the final version. During this BETA phase, we'll be improving the API based on specific client's feedbacks.", "version": "v1" }, "security": [ {} ], "tags": [ { "name": "Admin" }, { "name": "Buildings" }, { "name": "Complexes" }, { "name": "Generic" }, { "name": "Metadata" }, { "name": "PublishObjects" }, { "name": "ScoringPointTotals" }, { "name": "Sections" }, { "name": "Units" } ], "paths": { "/api/v1/realestateobjects/publish/propertydefinitions/{apiLabel}": { "delete": { "tags": [ "Admin", "Publish" ], "summary": "Delete property definition", "description": "Delete property definition in the system", "operationId": "DeletePropertyDefinition", "parameters": [ { "name": "apiLabel", "in": "path", "required": true, "schema": { "type": "string" } } ], "responses": { "200": { "description": "The property definition was deleted" }, "400": { "description": "The property definition data has validation issues", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/APIErrorMessageModel" } } } } }, "x-d360-narrative-url": "

Delete property definition

This endpoint deletes an existing custom property definition, identified by its apiLabel.

Integrators call this endpoint to remove a custom field that is no longer needed in the published data.

Unlike other endpoints in this API, apiLabel is passed as a path parameter here (for example /propertydefinitions/location), not as a query parameter.


Request Fields

Field

Type

Required

Description

apiLabel

string

Yes

Unique identifier of the custom property to delete, passed as part of the URL path.


Response Fields

Field

Type

Required

Description

(no response body)

—

—

A successful request returns 200 with no response body.

" } } }, "components": { "schemas": { "APIErrorMessageModel": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "title": { "type": "string", "nullable": true }, "traceId": { "type": "string", "nullable": true }, "status": { "type": "integer", "format": "int32" }, "errors": { "type": "object", "additionalProperties": { "type": "array", "items": { "type": "string" }, "nullable": true }, "nullable": true } }, "additionalProperties": false } } } } ````